$color: #000;
$size: 28px;

@mixin pill() {
    content: "";
    position: absolute;
    width: 100%;
    height: 12%;
    background: $color;
    border-radius: $size;
    transition: all 0.5s cubic-bezier(0.1, 0.9, 0, 1.2);
}

.hamburger {
    &__container {
        display: block;
        position: relative;
        width: $size;
        height: $size;

        input {
            display: block;
            position: absolute;
            opacity: 0;
            z-index: 1;
            width: $size;
            height: $size;
            cursor: pointer;

            &:hover ~ .hamburger__bun {
                &:before,
                &:after,
                :before,
                :after {
                    background: darken($color, 5);
                }
            }

            &:checked ~ .hamburger__bun {
                &:before,
                &:after {
                    width: 0;
                }

                .hamburger__burger {
                    &:before {
                        transform: rotate(135deg);
                    }
                    &:after {
                        transform: rotate(45deg);
                    }
                }
            }
        }
    }

    &__bun {
        &:before {
            @include pill();
            top: 10%;
            right: 0;
        }

        &:after {
            @include pill();
            bottom: 10%;
            left: 0;
        }
    }

    &__burger {
        position: absolute;
        display: flex;
        align-items: center;
        height: $size;
        width: $size;

        &:before,
        &:after {
            @include pill();
        }
    }
}
